.\" t
.\" @(#)FvwmWinList.1	1995.5.27
.TH FvwmWinList 0.4h "May 27th, 1995"
.\" $Id: FvwmWinList-j.man,v 1.2 2007-01-07 18:59:23+09 shige Exp $
.\" FvwmWinList for 2.0.43: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" FvwmWinList \- the FVWM window list module
FvwmWinList \- FVWM ɥ⥸塼
.\" .SH SYNOPSIS
.SH 
.\" FvwmWinList is spawned by fvwm, so no command line invocation will work.
FvwmWinList  fvwm ˤäƼ¹ԤΤǡ
ޥɥ饤󤫤θƤӽФǤưޤ

.\" .SH DESCRIPTION
.SH 
.\" The FvwmWinList module provides a widow list made up of buttons, each
.\" corresponding to a window that FVWM is managing.  Clicking on the buttons
.\" with any of the three mouse buttons will either do a default action or
.\" can be user configured.  Like the other modules, FvwmWinList only works
.\" when fvwm is used as the window manager.
FvwmWinList ⥸塼ϡFVWM 
ġΥɥбܥ󤫤ʤ륦ɥΰޤ
ޥ 3 ĤΤɤΥܥǤ⤽ΰΥܥ򥯥åС
ǥեȤưޤϥ桼ꤷưΤ줫¹Ԥޤ
¾Υ⥸塼Ʊ͡FvwmWinList  fvwm ɥޥ͡Ȥ
ȤƤȤưΤߤǤ

.\" .SH COPYRIGHTS
.SH COPYRIGHTS (ʸ)
The FvwmWinList module is the original work of Mike Finger.

Copyright 1994, Mike Finger. The author makes no guarantees or warranties of
any kind about the use of this module.  Use this modules at your own risk.
You may freely use this module or any portion of it for any purpose as long
as the copyright is kept intact. 

.SH  (ʸ)
FvwmWinList ⥸塼ϡ٤ Mike Finger ΥꥸʥʻŻˤΤǤ

1994 ǯ Mike Finger ˤʪǤ
ԤϡΥ⥸塼λѤ˴ؤ뤤ʤݸ⡢ݾڤͿޤ
ΥץϤʤȤǤǻѤƤ
ΤޤݻƤ֤
ɤŪǤäƤ⡢
ʤϤΥ⥸塼롢ޤϤΥ⥸塼ΰͳ˻ѤǤޤ


.\" .SH INITIALIZATION
.SH 
.\" During initialization, \fIFvwmWinList\fP will scan the same configuration file
.\" that FVWM used during startup to find the options that pertain to it.  These
.\" options are discussed in a later section.
δ֡\fIFvwmWinList\fP ϡFVWM ưˤ˴ط륪ץ
õΤ˻ѤեƱեĴ٤ޤ
Ĵ٤륪ץˤĤƤϡθΥޤ

.\" .SH INVOCATION
.SH ƤӽФ
.\" FvwmWinList can be invoked by fvwm during initialization by inserting the
.\" line 'Module FvwmWinList' in the .fvwmrc file.
FvwmWinList ϡ.fvwmrc ե 'Module FvwmWinList' ιԤ뤳Ȥ
fvwm νκݤ˸ƤӽФȤǤޤ

.\" FvwmWinList can also be bound to a keystroke, mouse button, or menu option to
.\" be invoked later, in this case using 'Transient' as an argument will cause
.\" FvwmWinList to resemble the built in window list.
FvwmWinList ϡǸƤӽФ˥ȥޥܥ
˥塼ץʤɤ˳Ƥ뤳ȤǽǤ
ξȤ 'Transient' (Ū) ȤȤǡ
FvwmWinList Ȥ߹ߥɥꥹȤƱͤΤΤˤʤޤ

.\" FvwmWinList must reside in a directory that is listed in the ModulePath option
.\" of FVWM for it to be executed by FVWM.
FvwmWinList ϡFVWM  FVWM ⤫ƤӽФ⥸塼Τ
ץǤ ModulePath ꤵƤǥ쥯ȥ
¸ߤƤʤФޤ

.\" .SH CONFIGURATION OPTIONS
.SH ꥪץ
.\" The following options can be placed in the .fvwmrc file
ʲΥץ .fvwmrc ե˽񤯤ȤǤޤ:

.IP "*FvwmWinListGeometry \fI{+-}<X>x{+-}<Y>\fP"
.\" Specifies the location and gravity of the FvwmWinList window.  At the current
.\" time, size is not supported and FvwmWinList will resize itself as buttons are
.\" added.  If the NoAnchor option is not specified then the windows gravity
.\" corner will be anchored, and the window will grow in the opposite direction.
.\" (i.e. If the geometry is specified -5-5, that is SoutEastGravity.  This will
.\" cause the window to draw up and to the left as windows are added)
ϡFvwmWinList ɥΰ֤ȤοӤꤷޤ
Ǥϡ礭ϥݡȤƤ餺
FvwmWinList Ϥ켫Ȥǥܥο˱礭Ѥޤ
ץ NoAnchor ꤵƤʤϡ
ɥΰֹ碌γѤꤵ졢
ɥϤȤȿ¦ؿӤ뤳Ȥˤʤޤ
(㤨 geometry  -5-5 ȻꤷʤС
ϱγѤꤵ뤳Ȥ̣
ơɥɲä˱ƾˡƺ
ɥ񤫤ƤȤˤʤޤ)
.\" SoutEastGravity ==> SouthEastGravity δְ㤤

.IP "*FvwmWinListFont \fIfont\fP"
.\" Specifies the font to be used for labeling the buttons.
ϡܥΥ٥˻ȤեȤꤷޤ

.IP "*FvwmWinListFore \fIcolor\fP"
.\" Specifies the color to use for the button names.
ϡܥ̾˻Ȥ뿧ꤷޤ

.IP "*FvwmWinListBack \fIcolor\fP"
.\" Specifies the color for the buttons.
ϡܥοꤷޤ

.IP "*FvwmWinListFocusFore \fIcolor\fP"
.\" Specifies the color to use for the button names for the window that
.\" has the input focus. If omitted, the color from \fBFvwmWinListFore\fP
.\" is used.
ϡϥեĥɥΥܥ̾˻Ȥ뿧ꤷޤ
ά硢\fBFvwmWinListFore\fP οȤޤ

.IP "*FvwmWinListFocusBack \fIcolor\fP"
.\" Specifies the color to use for the button for the window that
.\" has the input focus. If omitted, the color from \fBFvwmWinListBack\fP
.\" is used.
ϡϥեĥɥΥܥοꤷޤ
ά硢\fBFvwmWinListBack\fP οȤޤ

.IP "*FvwmWinListIconFore \fIcolor\fP"
.\" Specifies the color to use for the button names for windows that
.\" are iconified. If omitted, the color from \fBFvwmWinListFore\fP
.\" is used.
ϡ󲽤Ƥ륦ɥΥܥ̾˻Ȥ뿧ꤷޤ
ά硢\fBFvwmWinListFore\fP οȤޤ

.IP "*FvwmWinListFocusBack \fIcolor\fP"
.\" Specifies the color to use for the button for windows that
.\" are iconified. If omitted, the color from \fBFvwmWinListBack\fP
.\" is used.
ϡ󲽤Ƥ륦ɥΥܥοꤷޤ
ά硢\fBFvwmWinListBack\fP οȤޤ

.IP "*FvwmWinListUseSkipList"
.\" Tells FvwmWinList to not show the windows that are listed on a WindowListSkip
.\" line if the configuration file.
 FvwmWinList ˡե WindowListSkip ꤬Ƥ
ɥɽʤ褦ޤ
.\" Ѹ줬 ?

.\" .IP "*FvwmWinListNoAnchor
.IP "*FvwmWinListNoAnchor"
.\"  " ȴƤ
.\" By default, FvwmWinList will anchor the gravity corner so the window will grow
.\" in the opposite direction.  This undoes that option.
ǥեȤǤϡFvwmWinList ϻꤵ줿Ѥꤷ
ɥȿ˿ӤƤޤ
ϤԤʤ褦ˤޤ

.\" .IP "*FvwmWinListUseIconNames
.IP "*FvwmWinListUseIconNames"
.\"  " ȴƤ
.\" Tells FvwmWinList to use the icon name of the window instead of the full window
.\" name.  This is useful to keep the width of the window small.
 FvwmWinList ˡɥ̾˥̾Ȥ碌褦ˤޤ
ϡɥ򾮤ƤǤ

.\" .IP "*FvwmWinListLeftJustify
.IP "*FvwmWinListLeftJustify"
.\"  " ȴƤ
.\" By default, FvwmWinList will center the icon text in the icon.  This option
.\" causes it to be justified flush with the left edge of the icon.
ǥեȤǤϡFvwmWinList ϥǥʸ򥻥󥿥󥰤ޤ
Υץϡ򥢥κüʸ碌褦ˤޤ

.IP "*FvwmWinListMinWidth \fIwidth\fP"
.IP "*FvwmWinListMaxWidth \fIwidth\fP"
.\" Specify the minimum and maximum widths that the buttons will shrink or grow
.\" to.  The buttons will normally size to fit the longest name, but certain
.\" applications produce icon titles that can easily fill the screen.  Setting
.\" these parameters constrains the size of the buttons to be between the two
.\" values.  Setting them identically will fix the size of the buttons.
.\" Setting Max < Min will have unpredictable results.
ϡܥ󤬽̤ࡢޤ礭ʤκǾꤷޤ
ܥ̾ϡǤĹ̾˹礦褦ʥˤʤޤ
ñ˲̥դˤʤäƤޤ褦ʥ󥿥ȥ褦
ץꥱ⤢ޤ
Υѥ᡼ꤹ뤳Ȥǡ
ܥΥ 2 Ĥͤδ֤¤ޤ
Ʊͤꤹ뤳ȤϡܥΥꤹ뤳Ȥˤʤޤ
 (max) < Ǿ (min) Τ褦ꤹȡ
ͽʤ̤򾷤Ǥ礦

.IP "*FvwmWinListTruncateLeft"
.\" If names get truncated because of the setting of \fBFvwmWinListMaxWidth\fP,
.\" they will normally get truncated on the right, so only the start of the names
.\" are visible. Setting this resource will cause them to get truncated on the left,
.\" so that the end of names are visible. This is useful when the window title
.\" contains a directory and file name, for example.
\fBFvwmWinListMaxWidth\fP ˤä̾ڤ줿硢
̾ﱦڤΤƤ졢̾ƬΤߤɽޤ
Υ꥽ꤹȡڤ褦ˤʤꡢ
̾κǸɽޤ
ϡ㤨Хɥȥ뤬ǥ쥯ȥȥե̾ޤǤ
Ǥ

.IP "*FvwmWinListTruncateRight"
.\" This is the inverse of \fBFvwmWinListTruncateLeft\fP; it is the default
.\" action. It is provided for completeness.
ϡ\fBFvwmWinListTruncateLeft\fP εդǡ
ϥǥեȤưǤΤѰդƤޤ

.IP "*FvwmWinListAction \fIaction response[,reponse...]\fP"
.\" Tells FvwmWinList to do \fIresponse\fP when \fIaction\fP is done.  The
.\" currently supported \fIaction\fPs are: Click1, Click2, Click3.  The currently
.\" supported \fIresponse\fPs are any fvwm built-in commands, including modules
.\" and functions.
ϡFvwmWinList  \fIaction\fP äȤ \fIresponse\fP 
Ԥ蘆ޤ
ߥݡȤƤ \fIaction\fP  Click1, Click2, Click3 ǡ
ߥݡȤƤ \fIresponse\fP ϡ⥸塼ؿޤ
Ǥդ fvwm Ȥ߹ߥޥɤǤ

.\" .SH SAMPLE CONFIGURATION
.SH 
.\" The following are excepts from a .fvwmrc file which describe FvwmWinList
.\" initialization commands:
ʲϡ.fvwmrc ե뤫 FvwmWinList νޥɤ
ҤʬȴФΤǤ:
.\" excepts => excerpts δְ㤤 ?

.nf
.sp
########
.\" # Pop up the window list in tranient mode on button 3 press & hold
# ܥ 3 줿ޤޤʤ饦ɥꥹȤ⡼ɤǥݥåץå
.\" tranient ==> transient δְ㤤

Mouse 3   R   A   Module "FvwmWinList" FvwmWinList Transient

########################## Window-Lister ###############################
*FvwmWinListBack DarkOliveGreen
*FvwmWinListFore PaleGoldenRod
*FvwmWinListFont -*-new century schoolbook-bold-r-*-*-*-120-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1,Raise
*FvwmWinListAction Click2 Iconify
*FvwmWinListAction Click3 Module "FvwmIdent" FvwmIdent
*FvwmWinListUseSkipList
*FvwmWinListUseIconNames
*FvwmWinListGeometry -50-85
*FvwmWinListMinWidth 70
*FvwmWinListMaxWidth 120
.\" # I prefer the text centered
# Ϥष󥿥󥰤
#*FvwmWinListLeftJustify
.\" # I like it achored
# ϸꤹ
.\" achored ==> anchored δְ㤤
#*FvwmWinListNoAnchor

.sp
.fi

.\" .SH AUTHOR
.SH 
Mike Finger (mfinger@mermaid.micro.umn.edu)
            (Mike_Finger@atk.com)
.\"             (doodman on IRC, check the #linux channel)
            (IRC Ǥ doodman, #linux channel åΤ)
.\"Various Patches by

ʥѥåκ
.\"    John Heidemann <johnh@ficus.CS.UCLA.EDU> and
.\"    Jason L Tibbitts <tibbs@tcamc.uh.edu>.
    John Heidemann <johnh@ficus.CS.UCLA.EDU>,
    Jason L Tibbitts <tibbs@tcamc.uh.edu>
