.\" t
.\" @(#)FvwmAudio.1	3/28/94
.TH FvwmAudio 1.0 "Mar 28 1994"
.\" $Id: FvwmAudio-j.man,v 1.1 2006-12-26 09:51:37+09 shige Exp $
.\" FvwmAudio for 2.0.43: ܸ: shige@iee.niit.ac.jp 
.UC
.\" .SH NAME
.SH ̾
.\" \fBFvwmAudio\fP \- the FVWM Audio module
\fBFvwmAudio\fP \- FVWM ǥ⥸塼
.\" .SH SYNOPSIS
.SH 
.\" \fBFvwmAudio\fP is spawned by \fBfvwm\fP, so no command line invocation will 
.\" work.  From within the \fI.fvwmrc\fP file, \fBFvwmAudio\fP is spawned as 
.\" follows:
\fBFvwmAudio\fP  \fBfvwm\fP ˤäƼ¹ԤΤ
ޥɥ饤󤫤θƤӽФǤưޤ
\fBFvwmAudio\fP ϡե \fI.fvwmrc\fP ʲΤ褦˸ƤӽФޤ:
.nf
.sp
Module FvwmAudio 
.sp
.fi
.\" or from within an fvwm pop-up menu:
ޤϡfvwm Υݥåץåץ˥塼˰ʲΤ褦Ͽޤ:
.nf
.sp
AddToMenu Module-Popup "Modules"      Title
+                      "Audio"        Module FvwmAudio
+                      "Auto"         Module FvwmAuto 200
+                      "Buttons"      Module FvwmButtons
+                      "Ident"        Module FvwmIdent
+                      "Banner"       Module FvwmBanner
+                      "Pager"        Module FvwmPager 0 3
.sp
.fi
.\" .SH DESCRIPTION
.SH 
.\" The \fBFvwmAudio\fP module communicates with the Fvwm window manager
.\" to bind audio sounds to window manager actions.  Different audio
.\" queues may be assigned to any window manager action.  \fBFvwmAudio\fP
.\" can be used with any independent audio player, and therefore requires
.\" no special audio library APIs of its own.  Simple in its design, it
.\" merely binds the audio filenames to particular actions and forks off
.\" the audio player program with the appropriate filename when that
.\" action occurs.
⥸塼 \fBFvwmAudio\fP  fvwm ɥޥ̿͡
ɥޥ͡ư򥪡ǥ˳Ƥޤ
ǤդΥɥޥ͡ư̡β˳Ƥޤ
\fBFvwmAudio\fP ǤդγβץȤޤΤǡ
äƤ켫ȤΤ̤ʲ饤֥ API ɬפȤޤ
߷פñǡñ˲ե̾ġư˳ơ
ưȤ˲ץŬڤʥե̾Ϳ
¹ԤǤ

.\" \fBFvwmAudio\fP can also have builtin support for the rplay library.
\fBFvwmAudio\fP ˤϡrplay 饤֥ΥݡȤȤ߹ޤƤޤ 

.\" .SH CONFIGURATION OPTIONS
.SH ꥪץ
.\" \fBFvwmAudio\fP reads the same \fI.fvwm2rc\fP file as \fBfvwm(1)\fP
.\" reads when it starts up, and looks for certain configuration options:
\fBFvwmAudio\fP ϡ\fBfvwm(1)\fP ưɤΤƱե
\fI.fvwm2rc\fP ɤߤǡʲꥪץõޤ:

.IP "*FvwmAudioPlayCmd \fI/usr/bin/X11/demos/auplay\fP"
.\" This determines the independent audio player program that will
.\" actually play the sounds.  If the play command is set to
.\" \fIbuiltin-rplay\fP then the builtin rplay support will be used.  For
.\" example:
ϡºݤ˲볰βեȤꤷޤ
ޥɤ \fIbuiltin-rplay\fP ꤷϡ
Ȥ߹ޤ줿 rplay ݡȤѤޤ:
.sp
*FvwmAudioPlayCmd \fIbuiltin-rplay\fP

.IP "*FvwmAudioDir \fI/usr/lib/sounds\fP"
.\" Specifies the directory to look for the audio files.  This option is
.\" ignored when rplay is used.
ϡեõǥ쥯ȥꤷޤ
Υץϡrplay Ѥ̵뤵ޤ

.IP "*FvwmAudioDelay \fI5\fP"
.\" Specifies that sound events will only be played if they occur at least
.\" 5 seconds after the previous event.  Sounds events that occur during
.\" the delay period are ignored.  This option is useful if you don't want
.\" several sounds playing at the same time.  The default delay is 0 which
.\" disables the audio delay.
ϡΥ٥Ȥθ徯ʤȤ 5 ÷Фä
β٥ȤäˤΤߺ뤳Ȥ̣ޤ
ͱͽ (delay) β٥Ȥ̵뤵ޤ
ΥץϡƱˤĤβʤǤ礦
ǥեȤͱͽ֤ 0 ǡͱͽ̵֤Ǥ뤳Ȥ̣ޤ

.IP "*FvwmAudioRplayHost \fIhostname\fP"
.\" Specifies what host the sounds will play on.  The \fIhostname\fP can
.\" also be an environment variable such as $HOSTDISPLAY.  This option is
.\" only valid with builtin rplay support.
ϡɤΥۥȤǲκ򤹤뤫ꤷޤ
\fIhostname\fP ϡĶѿ $HOSTDISPLAY ǤǤޤ
ΥץϡȤ߹ rplay ݡȤΤߤͭǤ

.IP "*FvwmAudioRplayPriority \fI0\fP"
.\" Specifies what priority will be assigned to the sounds when they are
.\" played.  This option is only valid with builtin rplay support.
ϡȤˡβ˳Ƥͥ٤ꤷޤ
ΥץϡȤ߹ rplay ݡȤΤߤͭǤ

.IP "*FvwmAudioRplayVolume \fI127\fP"
.\" Specifies what volume will be assigned to the sounds when they are
.\" played.  This option is only valid with builtin rplay support.
ϡȤˡβ˳Ƥܥ塼ꤷޤ
ΥץϡȤ߹ rplay ݡȤΤߤͭǤ

.IP "*FvwmAudio \fIwindow-manager_action audio_filename\fP"
.\" Binds particular window manager actions to sound queues.
ϡġΥɥޥ͡ư˲եƤޤ
.nf
.sp
*FvwmAudio startup TaDa.au
*FvwmAudio shutdown Elvis_Left.au
*FvwmAudio unknown doh.au
*FvwmAudio add_window drip.au
*FvwmAudio raise_window swoosh.au
*FvwmAudio lower_window swoosh.au
*FvwmAudio focus_change boing.au
*FvwmAudio destroy_window explosion.au
*FvwmAudio iconify ploop.au
*FvwmAudio deiconify ploop.au
*FvwmAudio toggle_paging fwop.au
*FvwmAudio new_page beam_trek.au
*FvwmAudio new_desk beam_trek.au
*FvwmAudio configure_window huh.au
*FvwmAudio window_name beep.au
*FvwmAudio icon_name beep.au
*FvwmAudio res_class beep.au
*FvwmAudio res_name beep.au
*FvwmAudio end_windowlist twang.au
.sp
.fi
.\" .SH INVOCATION
.SH ƤӽФ
.\" The invocation method was shown in the synopsis section. No command
.\" line invocation is possible. \fBFvwmAudio\fP must be invoked by the
.\" \fBfvwm\fP window manager.
ƤӽФˡˤĤƤϡַפ˽񤫤Ƥޤ
ޥɥ饤󤫤θƤӽФϤǤޤ
\fBFvwmAudio\fP ϥɥޥ͡ \fBfvwm\fP 
ƤӤʤФޤ
.sp
.\" .SH BUGS
.SH Х
.\" It's REALLY noisy when fvwm starts and restarts.
fvwm ư/ƵưȤˤäȤ뤵ʤޤ
.sp
.\" .SH COPYRIGHTS
.SH COPYRIGHTS (ʸ)
This module is heavily based on a similar Fvwm module called
\fBFvwmSound\fP by Mark Boyns. \fBFvwmAudio\fP simply takes Mark's
original program and extends it to make it generic enough to work with
any audio player. The concept for interfacing this module to the
Window Manager, is original work by Robert Nation.

Copyright 1994, Mark Boyns and Mark Scott.  No guarantees or
warranties or anything are provided or implied in any way whatsoever.
Use this program at your own risk.  Permission to use this program for
any purpose is given, as long as the copyright is kept intact.
.sp
.SH  (ܸ)
Υ⥸塼ϡMark Boyns ˤƱͤ Fvwm ⥸塼 \fBFvwmSound\fP
 () ŤƤޤ
\fBFvwmAudio\fP ϡMark ΥꥸʥΥץñ˼Ѥ
ƤǤդβեȤư뤯餤
褦˳ĥƤޤ
ɥޥ͡ȤΥ⥸塼ߤΤȤ˴ؤ복ǰϡ
٤ Robert Nation ΥꥸʥʻŻˤΤǤ

1994 ǯ Mark Boyns  Mark Scott ˤʪǤ
ʤݸ⡢ʤݾڤ⡢ƤʳβΤ⡢
ɤˡǤͿޤ󤷰ż⤷ޤ
ΥץϤʤȤǤǻѤƤ
ΥץϡΤޤݻƤ֤
ɤŪǤäƤ⤽λѤĤޤ
.sp
.\" .SH AUTHORS
.SH 
Mark Boyns (\fIboyns@sdsu.edu\fP)
.sp
Mark Scott (\fImscott@mcd.mot.com\fP)
